org.fife.ui.rsyntaxtextarea

## Class DocumentRange

- java.lang.Object
- - org.fife.ui.rsyntaxtextarea.DocumentRange

    public class DocumentRange
    extends Object

A range of text in a document.

Version:
  1.0
Author:
  Robert Futrell

### Constructor Summary

Constructors
Constructor and Description
`DocumentRange(int startOffs, int endOffs)`

### Method Summary

Methods
`int` `getEndOffset()` Gets the end offset of the range.
`int` `getStartOffset()` Gets the starting offset of the range.
`String` `toString()` Returns a string representation of this object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DocumentRange

    public DocumentRange(int startOffs,
                 int endOffs)

### Method Detail

#### getEndOffset

    public int getEndOffset()

Gets the end offset of the range.

Returns:
  The end offset.
See Also:
  `getStartOffset()`

#### getStartOffset

    public int getStartOffset()

Gets the starting offset of the range.

Returns:
  The starting offset.
See Also:
  `getEndOffset()`

#### toString

    public String toString()

Returns a string representation of this object.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.